#usr/bin/env ruby
# -*- coding:utf-8 -*-
puts("宇宙に関するクイズ!")
quizzes=["太陽系の惑星で最も太陽から遠くにあるのは?","英語でサタンという惑星は?","宇宙にある酸素は何％?","1番早く自転している惑星はどれ?","温度が濃い星の色は何色?","太陽系の惑星の中で、最も大きい惑星は?","一番重力が重い太陽系の惑星は?","2019年5月に国際共同研究チームが初撮影に成功した宇宙の現象の名前は?","全天88星座の中で最も小さい星座は何でしょう?"]
s1s=["冥王星","土星","0%","地球","赤","火星","土星","ビックバン","みなみじゅうじ座"]
s2s=["海王星","火星","10%","金星","緑","土星","火星","太陽のコロナ","こぐま座"]
s3s=["土星","冥王星","20%","木星","青","木星","木星","ブラックホール","カシオペア座"]
ans_ns=[2,1,1,3,3,3,3,3,1]
ans=["海王星","土星","0%","木星","青","木星","木星","ブラックホール","みなみじゅうじ座"]
while quizzes.length>=1
  srand()
  s_quiz=rand(quizzes.length)
  puts(quizzes[s_quiz],"1:"+s1s[s_quiz],"2:"+s2s[s_quiz],"3:"+s3s[s_quiz],"(選択肢番号で回答)")
  while true
    p_ans=gets.to_i
    puts(p_ans>=4||p_ans==0 ? "選択肢番号で回答してね" : (p_ans==ans_ns[s_quiz] ? "\e[31m\e[47m正解!\e[m" : "\e[34m\e[47m不正解…\e[m"))
    break if (p_ans<=3)&&(p_ans!=0)
  end
  gets;puts("正解は#{ans_ns[s_quiz]}の#{ans[s_quiz]}でした。");gets
  quizzes.delete_at(s_quiz)
  s1s.delete_at(s_quiz)
  s2s.delete_at(s_quiz)
  s3s.delete_at(s_quiz)
  ans_ns.delete_at(s_quiz)
  ans.delete_at(s_quiz)
end
puts("おわり!!")
